reposetup(8)

NAME

reposetup - a tool that helps choose repository mirrors for Salix

SYNOPSIS

reposetup [OPTIONS]

DESCRIPTION

reposetup is an interactive tool that helps with easy and fast switching between available repository mirrors.

The files that are being edited by reposetup are /etc/slapt-get/slapt-getrc and /etc/slapt-get/slapt-srcrc. The only configuration lines in those files that are affected are the SOURCE lines. All other lines, for example the WORKINGDIR and EXCLUDE lines in slapt-getrc or the BUILDDIR and PKGEXT lines in slapt-srcrc, are not affected. Also, any edits in the commented lines that might have been done, will be removed.

OPTIONS

-m mirror
    Specify a repository mirror from the command line and do not display an interactive dialog with a list of repository mirrors. http://, ftp:// and file:// locations are allowed. Other than that, no validity check is performed on the mirror location that is specified, so make sure you are specifying a correct one.

-l  By default, reposetup will try to refresh the local mirrors list, present in the /usr/share/salixtools/reposetup/repomirrors file with a more up to date one. This switch disables that behaviour and just uses the local list of mirrors.

-n  When used in interactive mode, it prevents reposetup from showing a dialog asking if the package caches should be updated after selecting a mirror. Only the configuration files are altered. If used together with the -m option, it prevents reposetup from updating the package caches.

GENERAL OPTIONS

-h  Prints a usage message briefly summarizing all command-line options and exits.

AUTHORS

reposetup was written by George Vlahavas <vlahavas~at~gmail~dot~com>

SEE ALSO

spi(8), slapt-get(8), slapt-src(8)